Get Event
curl --request GET \
--url https://api.paxos.com/v2/events/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paxos.com/v2/events/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paxos.com/v2/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d99a03ee-6b88-4362-89da-087c2c8cd4a7",
"type": "identity.approved",
"object_type": "identity_summary_status_change",
"object": {
"id": "d840cf31-352f-4190-a476-7522bf3eafda",
"identity_id": "4fd025ab-f29f-47e6-a02e-df90a61c7ec9",
"new_summary_status": "APPROVED",
"old_summary_status": "PENDING"
},
"created_at": "2023-08-25T14:25:41.648489333Z",
"undelivered_webhooks": 0
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "error parsing event id"
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "insufficient scopes: found 'identity:read_identity', required one of '[event:read_event]'"
}{
"status": 404,
"title": "Not Found",
"type": "about:blank"
}Events
Get Event
Get an Event by its (event) id, the event must have been created by the system and you must be the owner of the the event, you can get an event id by either listing events or via a webhook integration.
GET
/
events
/
{id}
Get Event
OAuth Scope
events:read_event
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Path Parameters
The unique id in the Event object.
Query Parameters
Filter for test events (true) or real events (false). Defaults to false (real events only).
Was this page helpful?